Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecGop.cpp
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecGop.cpp	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecGop.cpp	(revision 294)
@@ -79,7 +79,5 @@
 Void TDecGop::destroy()
 {
-#if LCU_SYNTAX_ALF
   m_alfParamSetPilot.releaseALFParam();
-#endif
 }
 
@@ -120,5 +118,4 @@
 // Private member functions
 // ====================================================================================================================
-#if LCU_SYNTAX_ALF
 Void TDecGop::patchAlfLCUParams(ALFParam*** alfLCUParam, AlfParamSet* alfParamSet, Int firstLCUAddr)
 {
@@ -195,5 +192,4 @@
 }
 
-#endif
 // ====================================================================================================================
 // Public member functions
@@ -279,5 +275,4 @@
         if(pcSlice->getAlfEnabledFlag())
         {
-#if LCU_SYNTAX_ALF
           if(pcSlice->getSPS()->getUseALFCoefInSlice())
           {
@@ -289,9 +284,6 @@
           if( !pcSlice->getSPS()->getUseALFCoefInSlice())
           {
-#endif
           m_vAlfCUCtrlSlices.push_back(m_cAlfCUCtrlOneSlice);
-#if LCU_SYNTAX_ALF
           }
-#endif
         }
       }
@@ -323,9 +315,5 @@
     m_pcSliceDecoder->decompressSlice( pcBitstream, ppcSubstreams, rpcPic, m_pcSbacDecoder, m_pcSbacDecoders);
     m_pcEntropyDecoder->setBitstream(  ppcSubstreams[uiNumSubstreams-1] );
-#if WPP_SIMPLIFICATION
     if ( uiNumSubstreams > 1 )
-#else
-    if ( pcSlice->getPPS()->getEntropyCodingSynchro() )
-#endif
     {
       // deallocate all created substreams, including internal buffers.
@@ -356,8 +344,6 @@
     Bool bLFCrossTileBoundary = (pcSlice->getPPS()->getTileBehaviorControlPresentFlag() == 1)?
                                 (pcSlice->getPPS()->getLFCrossTileBoundaryFlag()):(pcSlice->getPPS()->getSPS()->getLFCrossTileBoundaryFlag());
-#if DBL_CONTROL
     if (pcSlice->getPPS()->getDeblockingFilterControlPresent())
     {
-#endif
       if(pcSlice->getSPS()->getUseDF())
       {
@@ -372,10 +358,6 @@
         }
       }
-#if DBL_CONTROL
     }
     m_pcLoopFilter->setCfg(pcSlice->getPPS()->getDeblockingFilterControlPresent(), pcSlice->getLoopFilterDisable(), pcSlice->getLoopFilterBetaOffset(), pcSlice->getLoopFilterTcOffset(), bLFCrossTileBoundary);
-#else
-    m_pcLoopFilter->setCfg(pcSlice->getLoopFilterDisable(), pcSlice->getLoopFilterBetaOffset(), pcSlice->getLoopFilterTcOffset(), bLFCrossTileBoundary);
-#endif
     m_pcLoopFilter->loopFilterPic( rpcPic );
 
@@ -392,5 +374,4 @@
       if(pcSlice->getSaoEnabledFlag())
       {
-#if SAO_UNIT_INTERLEAVING
         if (pcSlice->getSaoInterleavingFlag())
         {
@@ -402,5 +383,4 @@
         }
         m_pcSAO->setSaoInterleavingFlag(pcSlice->getAPS()->getSaoInterleavingFlag());
-#endif
         m_pcSAO->createPicSaoInfo(rpcPic, m_uiILSliceCount);
         m_pcSAO->SAOProcess(rpcPic, pcSlice->getAPS()->getSaoParam());  
@@ -413,12 +393,7 @@
     if( pcSlice->getSPS()->getUseALF() )
     {
-#if LCU_SYNTAX_ALF
       if( (pcSlice->getSPS()->getUseALFCoefInSlice())?(true):(pcSlice->getAlfEnabledFlag()))
-#else
-      if(pcSlice->getAlfEnabledFlag())
-#endif
-      {
-
-#if LCU_SYNTAX_ALF
+      {
+
         if(!pcSlice->getSPS()->getUseALFCoefInSlice())
         {
@@ -427,14 +402,8 @@
         m_pcAdaptiveLoopFilter->createPicAlfInfo(rpcPic, m_uiILSliceCount, pcSlice->getSliceQp());
         m_pcAdaptiveLoopFilter->ALFProcess(rpcPic, m_vAlfCUCtrlSlices, pcSlice->getSPS()->getUseALFCoefInSlice());
-#else
-        m_pcAdaptiveLoopFilter->createPicAlfInfo(rpcPic, m_uiILSliceCount);
-      m_pcAdaptiveLoopFilter->ALFProcess(rpcPic, pcSlice->getAPS()->getAlfParam(), m_vAlfCUCtrlSlices);
-#endif
       m_pcAdaptiveLoopFilter->PCMLFDisableProcess(rpcPic);
       m_pcAdaptiveLoopFilter->destroyPicAlfInfo();
       }
-#if LCU_SYNTAX_ALF
       m_pcAdaptiveLoopFilter->resetLCUAlfInfo(); //reset all LCU ALFParam->alf_flag = 0
-#endif    
     }
     
Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecGop.h
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecGop.h	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecGop.h	(revision 294)
@@ -101,7 +101,5 @@
   bool m_pictureDigestEnabled; ///< if true, handle picture_digest SEI messages
   AlfCUCtrlInfo       m_cAlfCUCtrlOneSlice;
-#if LCU_SYNTAX_ALF
   AlfParamSet           m_alfParamSetPilot;
-#endif
 
 public:
@@ -131,12 +129,8 @@
   void setPictureDigestEnabled(bool enabled) { m_pictureDigestEnabled = enabled; }
   AlfCUCtrlInfo& getAlfCuCtrlParam() { return m_cAlfCUCtrlOneSlice; }
-#if LCU_SYNTAX_ALF
   AlfParamSet& getAlfParamSet() {return m_alfParamSetPilot;}
-#endif
 
 private:
-#if LCU_SYNTAX_ALF
   Void patchAlfLCUParams(ALFParam*** alfLCUParam, AlfParamSet* alfParamSet, Int firstLCUAddr = 0);
-#endif
 
 
Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 294)
@@ -87,18 +87,11 @@
 , m_cALFUvlcSCModel           ( 1,             1,               NUM_ALF_UVLC_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
 , m_cALFSvlcSCModel           ( 1,             1,               NUM_ALF_SVLC_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
-#if AMP_CTX
 , m_cCUAMPSCModel             ( 1,             1,               NUM_CU_AMP_CTX                , m_contextModels + m_numContextModels, m_numContextModels)
-#else
-, m_cCUXPosiSCModel           ( 1,             1,               NUM_CU_X_POS_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
-, m_cCUYPosiSCModel           ( 1,             1,               NUM_CU_Y_POS_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
-#endif
 , m_cSaoFlagSCModel           ( 1,             1,               NUM_SAO_FLAG_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
 , m_cSaoUvlcSCModel           ( 1,             1,               NUM_SAO_UVLC_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
 , m_cSaoSvlcSCModel           ( 1,             1,               NUM_SAO_SVLC_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
-#if SAO_UNIT_INTERLEAVING
 , m_cSaoMergeLeftSCModel      ( 1,             1,               NUM_SAO_MERGE_LEFT_FLAG_CTX   , m_contextModels + m_numContextModels, m_numContextModels)
 , m_cSaoMergeUpSCModel        ( 1,             1,               NUM_SAO_MERGE_UP_FLAG_CTX     , m_contextModels + m_numContextModels, m_numContextModels)
 , m_cSaoTypeIdxSCModel        ( 1,             1,               NUM_SAO_TYPE_IDX_CTX          , m_contextModels + m_numContextModels, m_numContextModels)
-#endif
 #if HHI_DMM_WEDGE_INTRA || HHI_DMM_PRED_TEX
 , m_cDmmFlagSCModel           ( 1,             1,               NUM_DMM_FLAG_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
@@ -171,10 +164,5 @@
   m_cCUAlfCtrlFlagSCModel.initBuffer     ( sliceType, qp, (UChar*)INIT_ALF_CTRL_FLAG );
   m_cCUPartSizeSCModel.initBuffer        ( sliceType, qp, (UChar*)INIT_PART_SIZE );
-#if AMP_CTX
   m_cCUAMPSCModel.initBuffer             ( sliceType, qp, (UChar*)INIT_CU_AMP_POS );
-#else
-  m_cCUXPosiSCModel.initBuffer           ( sliceType, qp, (UChar*)INIT_CU_X_POS );
-  m_cCUYPosiSCModel.initBuffer           ( sliceType, qp, (UChar*)INIT_CU_Y_POS );
-#endif
   m_cCUPredModeSCModel.initBuffer        ( sliceType, qp, (UChar*)INIT_PRED_MODE );
   m_cCUIntraPredSCModel.initBuffer       ( sliceType, qp, (UChar*)INIT_INTRA_PRED_MODE );
@@ -199,9 +187,7 @@
   m_cSaoUvlcSCModel.initBuffer           ( sliceType, qp, (UChar*)INIT_SAO_UVLC );
   m_cSaoSvlcSCModel.initBuffer           ( sliceType, qp, (UChar*)INIT_SAO_SVLC );
-#if SAO_UNIT_INTERLEAVING
   m_cSaoMergeLeftSCModel.initBuffer      ( sliceType, qp, (UChar*)INIT_SAO_MERGE_LEFT_FLAG );
   m_cSaoMergeUpSCModel.initBuffer        ( sliceType, qp, (UChar*)INIT_SAO_MERGE_UP_FLAG );
   m_cSaoTypeIdxSCModel.initBuffer        ( sliceType, qp, (UChar*)INIT_SAO_TYPE_IDX );
-#endif
 
   m_cCUTransSubdivFlagSCModel.initBuffer ( sliceType, qp, (UChar*)INIT_TRANS_SUBDIV_FLAG );
@@ -265,10 +251,5 @@
   m_cCUAlfCtrlFlagSCModel.initBuffer     ( eSliceType, iQp, (UChar*)INIT_ALF_CTRL_FLAG );
   m_cCUPartSizeSCModel.initBuffer        ( eSliceType, iQp, (UChar*)INIT_PART_SIZE );
-#if AMP_CTX
   m_cCUAMPSCModel.initBuffer             ( eSliceType, iQp, (UChar*)INIT_CU_AMP_POS );
-#else
-  m_cCUXPosiSCModel.initBuffer           ( eSliceType, iQp, (UChar*)INIT_CU_X_POS );
-  m_cCUYPosiSCModel.initBuffer           ( eSliceType, iQp, (UChar*)INIT_CU_Y_POS );
-#endif
   m_cCUPredModeSCModel.initBuffer        ( eSliceType, iQp, (UChar*)INIT_PRED_MODE );
   m_cCUIntraPredSCModel.initBuffer       ( eSliceType, iQp, (UChar*)INIT_INTRA_PRED_MODE );
@@ -293,9 +274,7 @@
   m_cSaoUvlcSCModel.initBuffer           ( eSliceType, iQp, (UChar*)INIT_SAO_UVLC );
   m_cSaoSvlcSCModel.initBuffer           ( eSliceType, iQp, (UChar*)INIT_SAO_SVLC );
-#if SAO_UNIT_INTERLEAVING
   m_cSaoMergeLeftSCModel.initBuffer      ( eSliceType, iQp, (UChar*)INIT_SAO_MERGE_LEFT_FLAG );
   m_cSaoMergeUpSCModel.initBuffer        ( eSliceType, iQp, (UChar*)INIT_SAO_MERGE_UP_FLAG );
   m_cSaoTypeIdxSCModel.initBuffer        ( eSliceType, iQp, (UChar*)INIT_SAO_TYPE_IDX );
-#endif
   m_cCUTransSubdivFlagSCModel.initBuffer ( eSliceType, iQp, (UChar*)INIT_TRANS_SUBDIV_FLAG );
 #if HHI_DMM_WEDGE_INTRA || HHI_DMM_PRED_TEX
@@ -449,9 +428,5 @@
   }
 
-#if EIGHT_BITS_RICE_CODE
   ruiGoRiceParam = g_aauiGoRiceUpdate[ ruiGoRiceParam ][ min<UInt>( ruiSymbol, 23 ) ];
-#else
-  ruiGoRiceParam = g_aauiGoRiceUpdate[ ruiGoRiceParam ][ min<UInt>( ruiSymbol, 15 ) ];
-#endif
 
   return;
@@ -470,5 +445,4 @@
 {
   UInt uiSymbol;
-#if BURST_IPCM
   Int numSubseqIPCM = 0;
   Bool readPCMSampleFlag = false;
@@ -490,19 +464,9 @@
     }
   }
-#else
-  m_pcTDecBinIf->decodeBinTrm(uiSymbol);
-#endif
-
-#if BURST_IPCM
+
   if (readPCMSampleFlag == true)
-#else
-  if (uiSymbol)
-#endif
   {
     Bool bIpcmFlag = true;
 
-#if !BURST_IPCM
-    m_pcTDecBinIf->decodePCMAlignBits();
-#endif
 
     pcCU->setPartSizeSubParts  ( SIZE_2Nx2N, uiAbsPartIdx, uiDepth );
@@ -568,5 +532,4 @@
     }
 
-#if BURST_IPCM
     pcCU->setNumSucIPCM( pcCU->getNumSucIPCM() - 1);
     if(pcCU->getNumSucIPCM() == 0)
@@ -574,7 +537,4 @@
       m_pcTDecBinIf->resetBac();
     }
-#else
-    m_pcTDecBinIf->resetBac();
-#endif
   }
 }
@@ -664,7 +624,4 @@
 {
   UInt uiNumCand = MRG_MAX_NUM_CANDS;
-#if !MRG_IDX_CTX_RED  
-  UInt auiCtx[4] = { 0, 1, 2, 3 };
-#endif
   UInt uiUnaryIdx = 0;
   uiNumCand = pcCU->getSlice()->getMaxNumMergeCand();
@@ -678,5 +635,4 @@
     {
       UInt uiSymbol = 0;
-#if MRG_IDX_CTX_RED
       if ( uiUnaryIdx==0 )
       {
@@ -687,7 +643,4 @@
         m_pcTDecBinIf->decodeBinEP( uiSymbol );
       }
-#else
-      m_pcTDecBinIf->decodeBin( uiSymbol, m_cCUMergeIdxExtSCModel.get( 0, 0, auiCtx[uiUnaryIdx] ) );
-#endif
       if( uiSymbol == 0 )
       {
@@ -879,16 +832,8 @@
         if (eMode == SIZE_2NxN)
         {
-#if AMP_CTX
             m_pcTDecBinIf->decodeBin(uiSymbol, m_cCUAMPSCModel.get( 0, 0, 0 ));
-#else
-          m_pcTDecBinIf->decodeBin(uiSymbol, m_cCUYPosiSCModel.get( 0, 0, 0 ));
-#endif
           if (uiSymbol == 0)
           {
-#if AMP_CTX
             m_pcTDecBinIf->decodeBinEP(uiSymbol);
-#else
-            m_pcTDecBinIf->decodeBin(uiSymbol, m_cCUYPosiSCModel.get( 0, 0, 1 ));
-#endif
             eMode = (uiSymbol == 0? SIZE_2NxnU : SIZE_2NxnD);
           }
@@ -896,16 +841,8 @@
         else if (eMode == SIZE_Nx2N)
         {
-#if AMP_CTX
           m_pcTDecBinIf->decodeBin(uiSymbol, m_cCUAMPSCModel.get( 0, 0, 0 ));
-#else
-          m_pcTDecBinIf->decodeBin(uiSymbol, m_cCUXPosiSCModel.get( 0, 0, 0 ));
-#endif
           if (uiSymbol == 0)
           {
-#if AMP_CTX
             m_pcTDecBinIf->decodeBinEP(uiSymbol);
-#else
-            m_pcTDecBinIf->decodeBin(uiSymbol, m_cCUXPosiSCModel.get( 0, 0, 1 ));
-#endif
             eMode = (uiSymbol == 0? SIZE_nLx2N : SIZE_nRx2N);
           }
@@ -989,7 +926,4 @@
   {
 #endif
-#if !LOGI_INTRA_NAME_3MPM
-    Int iIntraIdx = pcCU->getIntraSizeIdx(uiAbsPartIdx);
-#endif
 
 #if LGE_EDGE_INTRA_A0070
@@ -1003,9 +937,5 @@
 #endif
 
-#if LOGI_INTRA_NAME_3MPM
     Int uiPreds[3] = {-1, -1, -1};
-#else
-    Int uiPreds[2] = {-1, -1};
-#endif
     Int uiPredNum = pcCU->getIntraDirLumaPredictor(uiAbsPartIdx, uiPreds);  
 #if LGE_EDGE_INTRA_A0070
@@ -1018,5 +948,4 @@
     {
       m_pcTDecBinIf->decodeBinEP( uiSymbol );
-#if LOGI_INTRA_NAME_3MPM
       if (uiSymbol)
       {
@@ -1024,5 +953,4 @@
         uiSymbol++;
       }
-#endif
       intraPredMode = uiPreds[uiSymbol];
     }
@@ -1031,5 +959,4 @@
       intraPredMode = 0;
 
-#if LOGI_INTRA_NAME_3MPM
 
       m_pcTDecBinIf->decodeBinsEP( uiSymbol, 5 );
@@ -1060,14 +987,4 @@
         std::swap(uiPreds[1], uiPreds[2]);
       }
-#else
-      m_pcTDecBinIf->decodeBinsEP( uiSymbol, g_aucIntraModeBitsAng[iIntraIdx] - 1 );
-      intraPredMode = uiSymbol;
-
-      if ( intraPredMode == 31 )
-      {
-        m_pcTDecBinIf->decodeBinEP( uiSymbol );
-        intraPredMode += uiSymbol;      
-      }
-#endif
 #if LGE_EDGE_INTRA_A0070
       if ( intraPredMode != EDGE_INTRA_IDX)
@@ -1158,9 +1075,5 @@
     {
       UInt uiIPredMode;
-#if CHROMA_MODE_CODING
       m_pcTDecBinIf->decodeBinsEP( uiIPredMode, 2 );
-#else
-      xReadUnaryMaxSymbol( uiIPredMode, m_cCUChromaPredSCModel.get( 0, 0 ) + 1, 0, 3 );
-#endif
       UInt uiAllowedChromaDir[ NUM_CHROMA_MODE ];
       pcCU->getAllowedChromaDir( uiAbsPartIdx, uiAllowedChromaDir );
@@ -1230,5 +1143,4 @@
   ContextModel *pCtx = m_cCUMvdSCModel.get( 0 );
 
-#if H0111_MVD_L1_ZERO
   if(pcCU->getSlice()->getMvdL1ZeroFlag() && eRefList == REF_PIC_LIST_1 && pcCU->getInterDir(uiAbsPartIdx)==3)
   {
@@ -1238,5 +1150,4 @@
   else
   {
-#endif
 
     m_pcTDecBinIf->decodeBin( uiHorAbs, *pCtx );
@@ -1281,7 +1192,5 @@
     }
 
-#if H0111_MVD_L1_ZERO
-  }
-#endif
+  }
 
   const TComMv cMv( uiHorSign ? -Int( uiHorAbs ): uiHorAbs, uiVerSign ? -Int( uiVerAbs ) : uiVerAbs );
@@ -1323,7 +1232,5 @@
 Void TDecSbac::parseDeltaQP( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
 {
-#if H0736_AVC_STYLE_QP_RANGE
   Int qp;
-#endif
   UInt uiDQp;
   Int  iDQp;
@@ -1333,25 +1240,13 @@
   if ( uiDQp == 0 )
   {
-#if H0736_AVC_STYLE_QP_RANGE
     qp = pcCU->getRefQP(uiAbsPartIdx);
-#else
-    uiDQp = pcCU->getRefQP(uiAbsPartIdx);
-#endif
   }
   else
   {
     UInt uiSign;
-#if H0736_AVC_STYLE_QP_RANGE
     Int qpBdOffsetY = pcCU->getSlice()->getSPS()->getQpBDOffsetY();
-#else
-    UInt uiQpBdOffsetY = 6*(g_uiBitIncrement + g_uiBitDepth - 8);
-#endif
     m_pcTDecBinIf->decodeBinEP(uiSign);
 
-#if H0736_AVC_STYLE_QP_RANGE
     UInt uiMaxAbsDQpMinus1 = 24 + (qpBdOffsetY/2) + (uiSign);
-#else
-    UInt uiMaxAbsDQpMinus1 = 24 + (uiQpBdOffsetY/2) + (uiSign);
-#endif
     UInt uiAbsDQpMinus1;
     xReadUnaryMaxSymbol (uiAbsDQpMinus1,  &m_cCUDeltaQpSCModel.get( 0, 0, 1 ), 1, uiMaxAbsDQpMinus1);
@@ -1364,22 +1259,10 @@
     }
 
-#if H0736_AVC_STYLE_QP_RANGE
     qp = (((Int) pcCU->getRefQP( uiAbsPartIdx ) + iDQp + 52 + 2*qpBdOffsetY )%(52+qpBdOffsetY)) - qpBdOffsetY;
-#else
-#if LOSSLESS_CODING
-    uiDQp = (pcCU->getRefQP(uiAbsPartIdx) + iDQp + 52) % 52;
-#else
-    uiDQp = pcCU->getRefQP(uiAbsPartIdx) + iDQp;
-#endif
-#endif
   }
   
   UInt uiAbsQpCUPartIdx = (uiAbsPartIdx>>(8-(pcCU->getSlice()->getPPS()->getMaxCuDQPDepth()<<1)))<<(8-(pcCU->getSlice()->getPPS()->getMaxCuDQPDepth()<<1)) ;
   UInt uiQpCUDepth =   min(uiDepth,pcCU->getSlice()->getPPS()->getMaxCuDQPDepth()) ;
-#if H0736_AVC_STYLE_QP_RANGE
   pcCU->setQPSubParts( qp, uiAbsQpCUPartIdx, uiQpCUDepth );
-#else
-  pcCU->setQPSubParts( uiDQp, uiAbsQpCUPartIdx, uiQpCUDepth );
-#endif
 }
 
@@ -1422,13 +1305,8 @@
 
   // posX
-#if LAST_CTX_REDUCTION
   Int widthCtx = eTType ? 4 : width;
   const UInt *puiCtxIdxX = g_uiLastCtx + ( g_aucConvertToBit[ widthCtx ] * ( g_aucConvertToBit[ widthCtx ] + 3 ) );
-#else
-  const UInt *puiCtxIdxX = g_uiLastCtx + ( g_aucConvertToBit[ width ] * ( g_aucConvertToBit[ width ] + 3 ) );
-#endif
   for( uiPosLastX = 0; uiPosLastX < g_uiGroupIdx[ width - 1 ]; uiPosLastX++ )
   {
-#if LAST_CTX_REDUCTION
     if ( eTType  )
     {
@@ -1437,9 +1315,6 @@
     else
     {
-#endif
       m_pcTDecBinIf->decodeBin( uiLast, *( pCtxX + puiCtxIdxX[ uiPosLastX ] ) );
-#if LAST_CTX_REDUCTION
-    }
-#endif
+    }
     if( !uiLast )
     {
@@ -1449,13 +1324,8 @@
 
   // posY
-#if LAST_CTX_REDUCTION
   Int heightCtx = eTType? 4 : height;
   const UInt *puiCtxIdxY = g_uiLastCtx + ( g_aucConvertToBit[ heightCtx ] * ( g_aucConvertToBit[ heightCtx ] + 3 ) );
-#else
-  const UInt *puiCtxIdxY = g_uiLastCtx + ( g_aucConvertToBit[ height ] * ( g_aucConvertToBit[ height ] + 3 ) );
-#endif
   for( uiPosLastY = 0; uiPosLastY < g_uiGroupIdx[ height - 1 ]; uiPosLastY++ )
   {
-#if LAST_CTX_REDUCTION
     if (eTType)
     {
@@ -1464,9 +1334,6 @@
     else
     {
-#endif
       m_pcTDecBinIf->decodeBin( uiLast, *( pCtxY + puiCtxIdxY[ uiPosLastY ] ) );
-#if LAST_CTX_REDUCTION
-    }
-#endif
+    }
     if( !uiLast )
     {
@@ -1588,5 +1455,4 @@
   UInt uiGoRiceParam           = 0;
 
-#if MULTIBITS_DATA_HIDING
   UInt const tsig = pcCU->getSlice()->getPPS()->getTSIG();
 #if LOSSLESS_CODING
@@ -1604,5 +1470,4 @@
 #endif
   UInt absSum = 0;
-#endif  // MULTIBITS_DATA_HIDING
 
   UInt uiSigCoeffGroupFlag[ MLS_GRP_NUM ];
@@ -1613,5 +1478,4 @@
   {
     scanCG = g_auiSigLastScan[ uiScanIdx ][ uiLog2BlockSize > 3 ? uiLog2BlockSize-2-1 : 0  ];    
-#if MULTILEVEL_SIGMAP_EXT
     if( uiLog2BlockSize == 3 )
     {
@@ -1622,5 +1486,4 @@
       scanCG = g_sigLastScanCG32x32;
     }
-#endif
   }
   else
@@ -1635,15 +1498,11 @@
     Int numNonZero = 0;
     
-#if MULTIBITS_DATA_HIDING
     Int lastNZPosInCG = -1, firstNZPosInCG = SCAN_SET_SIZE;
-#endif
 
     Int pos[SCAN_SET_SIZE];
     if( iScanPosSig == (Int) uiScanPosLast )
     {
-#if MULTIBITS_DATA_HIDING
       lastNZPosInCG  = iScanPosSig;
       firstNZPosInCG = iScanPosSig;
-#endif
       iScanPosSig--;
       pos[ numNonZero ] = uiBlkPosLast;
@@ -1651,13 +1510,8 @@
     }
 
-#if !MULTILEVEL_SIGMAP_EXT
-    if( blockType > 3 )
-    {
-#endif
       // decode significant_coeffgroup_flag
       Int iCGBlkPos = scanCG[ iSubSet ];
       Int iCGPosY   = iCGBlkPos / uiNumBlkSide;
       Int iCGPosX   = iCGBlkPos - (iCGPosY * uiNumBlkSide);
-#if MULTILEVEL_SIGMAP_EXT
       if( uiWidth == 8 && uiHeight == 8 && (uiScanIdx == SCAN_HOR || uiScanIdx == SCAN_VER) )
       {
@@ -1665,13 +1519,5 @@
         iCGPosX = (uiScanIdx == SCAN_VER ? iCGBlkPos : 0);
       }
-#endif
-#if !REMOVE_INFER_SIGGRP
-      Bool bInferredCGFlag = false;
-#endif
-#if REMOVE_INFER_SIGGRP
       if( iSubSet == iLastScanSet || iSubSet == 0)
-#else
-      if( iSubSet == iLastScanSet ) 
-#endif
       {
         uiSigCoeffGroupFlag[ iCGBlkPos ] = 1;
@@ -1679,28 +1525,8 @@
       else
       {
-#if !REMOVE_INFER_SIGGRP
-#if MULTILEVEL_SIGMAP_EXT
-        if( !TComTrQuant::bothCGNeighboursOne( uiSigCoeffGroupFlag, iCGPosX, iCGPosY, uiScanIdx, uiWidth, uiHeight) && ( iSubSet ) )
-#else
-        if( !TComTrQuant::bothCGNeighboursOne( uiSigCoeffGroupFlag, iCGPosX, iCGPosY, uiWidth, uiHeight) && ( iSubSet ) )
-#endif
-        {
-#endif
           UInt uiSigCoeffGroup;
-#if MULTILEVEL_SIGMAP_EXT
           UInt uiCtxSig  = TComTrQuant::getSigCoeffGroupCtxInc( uiSigCoeffGroupFlag, iCGPosX, iCGPosY, uiScanIdx, uiWidth, uiHeight );
-#else
-          UInt uiCtxSig  = TComTrQuant::getSigCoeffGroupCtxInc( uiSigCoeffGroupFlag, iCGPosX, iCGPosY, uiWidth, uiHeight );
-#endif
           m_pcTDecBinIf->decodeBin( uiSigCoeffGroup, baseCoeffGroupCtx[ uiCtxSig ] );
           uiSigCoeffGroupFlag[ iCGBlkPos ] = uiSigCoeffGroup;
-#if !REMOVE_INFER_SIGGRP
-        }
-        else
-        {
-          uiSigCoeffGroupFlag[ iCGBlkPos ] = 1;
-          bInferredCGFlag = true;
-        }
-#endif
       }
 
@@ -1716,9 +1542,5 @@
         if( uiSigCoeffGroupFlag[ iCGBlkPos ] )
         {
-#if REMOVE_INFER_SIGGRP
           if( iScanPosSig > iSubPos || iSubSet == 0  || numNonZero )
-#else
-          if( iScanPosSig > iSubPos || bInferredCGFlag || numNonZero )
-#endif
           {
             uiCtxSig  = TComTrQuant::getSigCtxInc( pcCoef, uiPosX, uiPosY, blockType, uiWidth, uiHeight, eTType );
@@ -1735,5 +1557,4 @@
           pos[ numNonZero ] = uiBlkPos;
           numNonZero ++;
-#if MULTIBITS_DATA_HIDING
           if( lastNZPosInCG == -1 )
           {
@@ -1741,53 +1562,15 @@
           }
           firstNZPosInCG = iScanPosSig;
-#endif
         }
       }
-#if !MULTILEVEL_SIGMAP_EXT
-    }
-    else
-    {
-      for( ; iScanPosSig >= iSubPos; iScanPosSig-- )
-      {
-        UInt uiBlkPos   = scan[ iScanPosSig ];
-        UInt  uiPosY    = uiBlkPos >> uiLog2BlockSize;
-        UInt  uiPosX    = uiBlkPos - ( uiPosY << uiLog2BlockSize );
-        UInt  uiSig     = 0;
-        UInt  uiCtxSig  = TComTrQuant::getSigCtxInc( pcCoef, uiPosX, uiPosY, blockType, uiWidth, uiHeight, eTType );
-        m_pcTDecBinIf->decodeBin( uiSig, baseCtx[ uiCtxSig ] );
-        pcCoef[ uiBlkPos ] = uiSig;
-        if( uiSig )
-        {
-          pos[ numNonZero ] = uiBlkPos;
-          numNonZero ++;
-#if MULTIBITS_DATA_HIDING
-          if( lastNZPosInCG == -1 )
-          {
-            lastNZPosInCG = iScanPosSig;
-          }
-          firstNZPosInCG = iScanPosSig;
-#endif
-        }
-      }
-    }
-#endif
 
     
     if( numNonZero )
     {
-#if MULTIBITS_DATA_HIDING
       Bool signHidden = ( lastNZPosInCG - firstNZPosInCG >= (Int)tsig );
       absSum = 0;
-#endif  // MULTIBITS_DATA_HIDING
 
       UInt c1 = 1;
-#if !RESTRICT_GR1GR2FLAG_NUMBER
-      UInt c2 = 0;
-#endif
-#if LEVEL_CTX_LUMA_RED
       UInt uiCtxSet    = (iSubSet > 0 && eTType==TEXT_LUMA) ? 2 : 0;
-#else
-      UInt uiCtxSet    = (iSubSet > 0 && eTType==TEXT_LUMA) ? 3 : 0;
-#endif
       UInt uiBin;
       
@@ -1795,10 +1578,4 @@
       {
         uiCtxSet++;
-#if !LEVEL_CTX_LUMA_RED
-        if(eTType==TEXT_LUMA && uiNumOne > 3)
-        {
-          uiCtxSet++;
-        }
-#endif
       }
       
@@ -1807,5 +1584,4 @@
       Int absCoeff[SCAN_SET_SIZE];
 
-#if RESTRICT_GR1GR2FLAG_NUMBER
       for ( Int i = 0; i < numNonZero; i++) absCoeff[i] = 1;   
       Int numC1Flag = min(numNonZero, C1FLAG_NUMBER);
@@ -1813,7 +1589,4 @@
 
       for( Int idx = 0; idx < numC1Flag; idx++ )
-#else
-      for( Int idx = 0; idx < numNonZero; idx++ )
-#endif
       {
         m_pcTDecBinIf->decodeBin( uiBin, baseCtxMod[c1] );
@@ -1821,10 +1594,8 @@
         {
           c1 = 0;
-#if RESTRICT_GR1GR2FLAG_NUMBER
           if (firstC2FlagIdx == -1)
           {
             firstC2FlagIdx = idx;
           }
-#endif
         }
         else if( (c1 < 3) && (c1 > 0) )
@@ -1837,5 +1608,4 @@
       if (c1 == 0)
       {
-#if RESTRICT_GR1GR2FLAG_NUMBER
         baseCtxMod = ( eTType==TEXT_LUMA ) ? m_cCUAbsSCModel.get( 0, 0 ) + uiCtxSet : m_cCUAbsSCModel.get( 0, 0 ) + NUM_ABS_FLAG_CTX_LUMA + uiCtxSet;
         if ( firstC2FlagIdx != -1)
@@ -1844,47 +1614,23 @@
           absCoeff[ firstC2FlagIdx ] = uiBin + 2;
         }
-#else    
-        baseCtxMod = ( eTType==TEXT_LUMA ) ? m_cCUAbsSCModel.get( 0, 0 ) + 3 * uiCtxSet : m_cCUAbsSCModel.get( 0, 0 ) + NUM_ABS_FLAG_CTX_LUMA + 3 * uiCtxSet;
+      }
+
+      UInt coeffSigns;
+      if ( signHidden && beValid )
+      {
+        m_pcTDecBinIf->decodeBinsEP( coeffSigns, numNonZero-1 );
+        coeffSigns <<= 32 - (numNonZero-1);
+      }
+      else
+      {
+        m_pcTDecBinIf->decodeBinsEP( coeffSigns, numNonZero );
+        coeffSigns <<= 32 - numNonZero;
+      }
+      
+      Int iFirstCoeff2 = 1;    
+      if (c1 == 0 || numNonZero > C1FLAG_NUMBER)
+      {
         for( Int idx = 0; idx < numNonZero; idx++ )
         {
-          if( absCoeff[ idx ] == 2 ) 
-          {
-            m_pcTDecBinIf->decodeBin( uiBin, baseCtxMod[c2] );
-            absCoeff[ idx ] = uiBin + 2;
-            c2 += (c2 < 2);
-            uiNumOne++;
-          }
-        }
-#endif
-      }
-
-#if MULTIBITS_DATA_HIDING
-      UInt coeffSigns;
-      if ( signHidden && beValid )
-      {
-        m_pcTDecBinIf->decodeBinsEP( coeffSigns, numNonZero-1 );
-        coeffSigns <<= 32 - (numNonZero-1);
-      }
-      else
-      {
-        m_pcTDecBinIf->decodeBinsEP( coeffSigns, numNonZero );
-        coeffSigns <<= 32 - numNonZero;
-      }
-#else
-      UInt coeffSigns;
-      m_pcTDecBinIf->decodeBinsEP( coeffSigns, numNonZero );
-      coeffSigns <<= 32 - numNonZero;
-#endif
-      
-#if RESTRICT_GR1GR2FLAG_NUMBER
-      Int iFirstCoeff2 = 1;    
-      if (c1 == 0 || numNonZero > C1FLAG_NUMBER)
-#else
-      if (c1 == 0)
-#endif
-      {
-        for( Int idx = 0; idx < numNonZero; idx++ )
-        {
-#if RESTRICT_GR1GR2FLAG_NUMBER   
           UInt baseLevel  = (idx < C1FLAG_NUMBER)? (2 + iFirstCoeff2) : 1;
 
@@ -1901,12 +1647,4 @@
             uiNumOne++;
           }
-#else
-          if( absCoeff[ idx ] == 3 )
-          {
-            UInt uiLevel;
-            xReadGoRiceExGolomb( uiLevel, uiGoRiceParam );
-            absCoeff[ idx ] = uiLevel + 3;
-          }
-#endif
         }
       }
@@ -1915,5 +1653,4 @@
       {
         Int blkPos = pos[ idx ];
-#if MULTIBITS_DATA_HIDING
         // Signs applied later.
         pcCoef[ blkPos ] = absCoeff[ idx ];
@@ -1932,9 +1669,4 @@
           coeffSigns <<= 1;
         }
-#else
-        Int sign = static_cast<Int>( coeffSigns ) >> 31;
-        pcCoef[ blkPos ] = ( absCoeff[ idx ] ^ sign ) - sign;
-        coeffSigns <<= 1;
-#endif
       }
     }
@@ -1949,5 +1681,4 @@
 
 
-#if SAO_UNIT_INTERLEAVING
 Void TDecSbac::parseSaoUvlc (UInt& ruiVal)
 {
@@ -2186,5 +1917,4 @@
   }
 }
-#endif
 
 /**
@@ -2217,5 +1947,4 @@
 }
 
-#if OL_FLUSH
 Void TDecSbac::decodeFlush ( )
 {
@@ -2225,5 +1954,4 @@
 
 }
-#endif
 
 #if HHI_DMM_WEDGE_INTRA || HHI_DMM_PRED_TEX || (LGE_EDGE_INTRA_A0070 && LGE_EDGE_INTRA_DELTA_DC)
Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecSbac.h
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 294)
@@ -74,7 +74,5 @@
   Void xCopyFrom           ( TDecSbac* pSrc );
   Void xCopyContextsFrom       ( TDecSbac* pSrc );
-#if OL_FLUSH
   Void decodeFlush();
-#endif
 
 #if CABAC_INIT_FLAG
@@ -95,20 +93,12 @@
   Void  parseSPS                  ( TComSPS* pcSPS         ) {}
 #endif
-#if TILES_OR_ENTROPY_SYNC_IDC  
   Void  parsePPS                  ( TComPPS* pcPPS, ParameterSetManagerDecoder *parameterSet         ) {}
-#else
-  Void  parsePPS                  ( TComPPS* pcPPS         ) {}
-#endif
   Void  parseAPS                  ( TComAPS* pAPS          ) {}
   void parseSEI(SEImessages&) {}
 
-#if LCU_SYNTAX_ALF
 #if MTK_DEPTH_MERGE_TEXTURE_CANDIDATE_C0137
   Void  parseSliceHeader          ( TComSlice*& rpcSlice, ParameterSetManagerDecoder *parameterSetManager, AlfCUCtrlInfo &alfCUCtrl, AlfParamSet& alfParamSet, bool isDepth) {}
 #else
   Void  parseSliceHeader          ( TComSlice*& rpcSlice, ParameterSetManagerDecoder *parameterSetManager, AlfCUCtrlInfo &alfCUCtrl, AlfParamSet& alfParamSet) {}
-#endif
-#else
-  Void  parseSliceHeader          ( TComSlice*& rpcSlice, ParameterSetManagerDecoder *parameterSetManager, AlfCUCtrlInfo &alfCUCtrl ) {}
 #endif
 
@@ -120,5 +110,4 @@
 #endif
   
-#if SAO_UNIT_INTERLEAVING
   Void  parseSaoUvlc              ( UInt& ruiVal           );
   Void  parseSaoSvlc              ( Int&  riVal            );
@@ -129,5 +118,4 @@
   Void  parseSaoOneLcuInterleaving(Int rx, Int ry, SAOParam* pSaoParam, TComDataCU* pcCU, Int iCUAddrInSlice, Int iCUAddrUpInSlice, Bool bLFCrossSliceBoundaryFlag);
   Void  parseSaoOffset            (SaoLcuParam* psSaoLcuParam);
-#endif
   
 #if RWTH_SDC_DLT_B0036
@@ -256,18 +244,11 @@
   ContextModel3DBuffer m_cALFUvlcSCModel;
   ContextModel3DBuffer m_cALFSvlcSCModel;
-#if AMP_CTX
   ContextModel3DBuffer m_cCUAMPSCModel;
-#else
-  ContextModel3DBuffer m_cCUXPosiSCModel;
-  ContextModel3DBuffer m_cCUYPosiSCModel;
-#endif
   ContextModel3DBuffer m_cSaoFlagSCModel;
   ContextModel3DBuffer m_cSaoUvlcSCModel;
   ContextModel3DBuffer m_cSaoSvlcSCModel;
-#if SAO_UNIT_INTERLEAVING
   ContextModel3DBuffer m_cSaoMergeLeftSCModel;
   ContextModel3DBuffer m_cSaoMergeUpSCModel;
   ContextModel3DBuffer m_cSaoTypeIdxSCModel;
-#endif
 
 #if HHI_DMM_WEDGE_INTRA || HHI_DMM_PRED_TEX
